> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/mongodb-execute/commands-execute-step/database-commands.md).

# Database commands

| Command                                          | Description                                                                                                                                                                                                                                                             | Output                                                                                                                      |
| ------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| `db.createCollection( STRING *collectionName*` ) | Creates a collection with the specified name. Strings are surrounded by double qoutes. For example:`db.createCollection("identities");`                                                                                                                                 | The String = "true" when the database is created. If the command fails, an error is raised.                                 |
| `db.listCollectionNames( )`                      | Lists the names of the collections in the selected database.                                                                                                                                                                                                            | An output row for each collection in the database with the result field containing the String name of the collection.       |
| `db.listCollections( )`                          | Lists collection details of all collections in the selected database.                                                                                                                                                                                                   | An output row for each collection in the database with the result field containing a BSON document with collection details. |
| `db.runCommand( BSON *command*` )                | Runs a command on the selected database. See [db.runCommand](https://docs.mongodb.com/manual/reference/method/db.runCommand/) for details on a similar shell command. For example: `db.runCommand( { find : "identities", projection : { superhero : 1, _id : 0 } } );` | An output row containing with the result field containing a BSON document of command results.                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/mongodb-execute/commands-execute-step/database-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
